.contractor-block {
	padding: 35px 0;
	background: #fff;

	&__primary {
		margin-right: -20px;
	}

	.swiper-pagination {
		left: 0;
		right: 0;
		z-index: 10;
		bottom: 188px;
		height: 54px;
		font-size: 0;
		line-height: 0;
		border: none;
		outline: none;
		padding: 5px 30px;
		position: absolute;
		background: #283896;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.swiper-pagination-bullet {
		opacity: 1;
		width: 10px;
		height: 10px;
		display: block;
		background: #fff;
		border-radius: 50%;
		position: relative;

		&::before {
			top: -5px;
			left: -5px;
			width: 20px;
			height: 20px;
			z-index: 20;
			content: '';
			position: absolute;
			border-radius: 50%;
			background: #A7B739;
			opacity: 0;
			transition: .3s;
			transform: scale(0.3);
		}
	}

	.swiper-pagination-bullet-active {

		&::before {
			opacity: 1;
			transition: .3s;
			transform: scale(1);
		}
	}

	@media (min-width: $screen-xs-min) {

		&__primary {
			margin-right: 0;
		}
	}

	@media (min-width: $screen-sm-min) {
		padding-top: 120px;
		padding-bottom: 50px;

		.swiper-pagination {
			top: 0;
			left: 0;
			right: auto !important;
			width: 54px;
			height: auto;
			bottom: 0 !important;
			padding: 50px 5px;
			-webkit-box-orient: vertical;
			-webkit-box-direction: normal;
			-ms-flex-direction: column;
			flex-direction: column;
			-webkit-box-pack: center;
			-ms-flex-pack: center;
			justify-content: center;
		}

		.swiper-pagination-bullet {
			margin: 20px 0 !important;
		}
	}

	@media (min-width: $screen-md-min) {

		.swiper-pagination {
			width: 100px;
		}
	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {

		.swiper-pagination {
			width: 216px;
			padding-right: 40px;
		}
	}
}

.contractor {
	color: #000;
	font-size: 1.6rem;
	line-height: 130%;
	position: relative;

	&__image {
		left: 0;
		right: 0;
		top: 260px;
		height: 208px;
		position: absolute;
		background-position: 50% 50%;
		background-repeat: no-repeat;
		background-size: cover;
	}

	&__main {
		height: 710px;
		background: #D1E9EB;
		padding: 28px 24px 98px 24px;

		&--logo {
			width: 122px;
			margin-bottom: 18px;
		}

		&--text {
			height: 140px;
			margin-bottom: 300px;
			overflow: hidden;
			text-overflow: ellipsis;
			position: relative;
		}

		&--author {
			color: #132385;
			font-size: 1.3rem;
			line-height: 126%;

			strong {
				display: block;
				font-size: 2rem;
				font-weight: 700;
				line-height: 110%;
				margin-bottom: 6px;
				font-family: "Montserrat", Arial, sans-serif;
			}

			span {
				display: block;
			}
		}
	}

	&__quote {
		z-index: 40;
		color: #fff;
		position: relative;
		background: #30A4A2;
		padding: 70px 30px 30px 25px;
		margin: -80px -20px 0 26px;

		&::before {
			top: -8px;
			left: 25px;
			height: 75px;
			font-size: 75px;
			font-weight: 700;
			line-height: 75px;
			font-family: "Montserrat", Arial, sans-serif;
			content: '«';
			color: #fff;
			position: absolute;
		}

		&::after {
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			content: '';
			z-index: 50;
			position: absolute;
			background: transparent;
		}

		&--main {
			width: 100%;
			max-width: 100%;
		}


		&--item {
			font-size: 17px;
			line-height: 160%;
		}

		.contractor-quote-slider {
			width: 100%;
			max-width: 100%;
		}
	}

	&__data {
		margin: 0;
		padding: 0;
		list-style: none;
		display: none;
	}

	&__text {

	}

	@media (min-width: $screen-xs-min) {

		&__quote {
			margin-right: 26px;
		}
	}

	@media (min-width: $screen-sm-min) {
		display: flex;

		&__image {
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			width: 320px;
			height: auto;
			position: relative;
			flex-shrink: 0;
		}

		&__main {
			height: auto;
			font-size: 1.4rem;
			line-height: 126%;
			padding: 128px 30px 100px 50px;

			&--logo {
				margin: 0;
				top: 40px;
				right: 30px;
				position: absolute;
			}

			&--text {
				margin: 0;
				height: auto;
				min-height: 110px;
				padding-bottom: 15px;
			}
		}

		&__quote {
			margin: -80px 100px 50px 100px;
			padding: 75px 45px 45px 35px;
		}

		&__quote::before {
			top: 0px;
			left: 45px;
		}

		&__data {
			font-size: 2rem;
			font-weight: 700;
			line-height: 110%;
			font-family: "Montserrat", Arial, sans-serif;
			display: flex;
			justify-content: space-between;

			&:nth-child(3) {

				.contractor__data--value {
					width: 270px;
				}
			}

			&--value {
				text-align: right;
				color: #97DBDB;
				font-weight: 700;
				font-size: 11rem;
				line-height: 11rem;
				font-family: "Montserrat", Arial, sans-serif;
				flex-shrink: 0;
			}

			&--label {
				min-width: 150px;
				color: #132385;
			}
		}
	}

	@media (min-width: $screen-md-min) {
		padding-left: 100px;

		&__image {
			width: 415px;
		}

		&__main {
			position: relative;
			padding: 128px 30px 165px 35px;

			&--logo {
				right: 37px;
			}
			&--author {

				br {
					display: none;
				}
			}
		}

		&__quote {
			padding-left: 45px;
			margin: -120px 77px 50px 300px;
		}

		&__data {
			padding-right: 90px;
		}
	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {
		padding-left: 216px;

		&__image {
			width: 510px;
		}

		&__main {
			padding-left: 42px;
		}

		&__quote {
			margin-left: 436px;
		}
	}
}